Skip to content

# Class: PageParam ‹V›

## Type parameters

▪ V

## Hierarchy

- PageParam

## Index

### Constructors

- constructor

### Properties

- history
- init
- name
- urlName
- SYSTEM_PREFIX

### Methods

- clear
- get
- getDefaultValue
- getRaw
- isEmpty
- parse
- set
- setRaw
- stringify
- toObjectParam
- toSearchString

## Constructors

### constructor

+ new PageParam(`init`: PageParamInit‹V› | PageSystemParamInit‹V›, `history`: IObservableHistory): PageParam

Defined in src/renderer/navigation/page-param.ts:23

Parameters:

Name | Type
--- | ---
`init` | PageParamInit‹V› | PageSystemParamInit‹V›
`history` | IObservableHistory

Returns: PageParam

## Properties

### `Protected` history

• history: IObservableHistory

Defined in src/renderer/navigation/page-param.ts:25

### init

• init: PageParamInit‹V› | PageSystemParamInit‹V›

Defined in src/renderer/navigation/page-param.ts:25

### name

• name: string

Defined in src/renderer/navigation/page-param.ts:22

### urlName

• urlName: string

Defined in src/renderer/navigation/page-param.ts:23

### `Static` SYSTEM_PREFIX

▪ SYSTEM_PREFIX: string = "lens-"

Defined in src/renderer/navigation/page-param.ts:20

## Methods

### clear

▸ clear(): void

Defined in src/renderer/navigation/page-param.ts:107

Returns: void

### get

▸ get(): V

Defined in src/renderer/navigation/page-param.ts:66

Returns: V

### getDefaultValue

▸ getDefaultValue(): V

Defined in src/renderer/navigation/page-param.ts:101

Returns: V

### getRaw

▸ getRaw(): string[]

Defined in src/renderer/navigation/page-param.ts:94

Returns: string[]

### isEmpty

▸ isEmpty(`value`: V | any): boolean

Defined in src/renderer/navigation/page-param.ts:36

Parameters:

Name | Type
--- | ---
`value` | V | any

Returns: boolean

### parse

▸ parse(`values`: string[]): V

Defined in src/renderer/navigation/page-param.ts:40

Parameters:

Name | Type
--- | ---
`values` | string[]

Returns: V

### set

▸ set(`value`: V, `__namedParameters`: object): void

Defined in src/renderer/navigation/page-param.ts:76

Parameters:

▪ value: V

▪`Default value` __namedParameters: object= {}

Name | Type | Default
--- | --- | ---
`mergeGlobals` | boolean | true
`replaceHistory` | boolean | false

Returns: void

### setRaw

▸ setRaw(`value`: string | string[]): void

Defined in src/renderer/navigation/page-param.ts:82

Parameters:

Name | Type
--- | ---
`value` | string | string[]

Returns: void

### stringify

▸ stringify(`value`: V): string

Defined in src/renderer/navigation/page-param.ts:49

Parameters:

Name | Type | Default
--- | --- | ---
`value` | V | this.get()

Returns: string

### toObjectParam

▸ toObjectParam(`value`: V): Record‹string, V›

Defined in src/renderer/navigation/page-param.ts:130

Parameters:

Name | Type | Default
--- | --- | ---
`value` | V | this.get()

Returns: Record‹string, V›

### toSearchString

▸ toSearchString(`__namedParameters`: object): string

Defined in src/renderer/navigation/page-param.ts:111

Parameters:

▪`Default value` __namedParameters: object= {}

Name | Type | Default
--- | --- | ---
`mergeGlobals` | boolean | true
`value` | V | this.get()
`withPrefix` | boolean | true

Returns: string